Bug 811148 - Fix erronous reference to the 'allow' access_provider
Fix erronous reference to the 'allow' access_provider
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
rawhide
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 05:45 EDT by Stef Walter
Modified: 2012-05-26 03:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: sssd-1.8.3-11.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 19:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix erronous reference to the 'allow' access_provider (1.03 KB, patch)
2012-04-10 05:45 EDT, Stef Walter
no flags Details | Diff
Fix erronous reference to the 'allow' access_provider (1.03 KB, patch)
2012-04-10 06:49 EDT, Stef Walter
no flags Details | Diff

  None (edit)
Description Stef Walter 2012-04-10 05:45:49 EDT
The sssd-ldap man page refers to 'access_provider = allow'. There is no 
(longer an) allow module. Change it so it refers to 'simple' module.
Comment 1 Stef Walter 2012-04-10 05:45:52 EDT
Created attachment 576431 [details]
Fix erronous reference to the 'allow' access_provider

 * Should be 'simple' instead
Comment 2 Jakub Hrozek 2012-04-10 06:38:26 EDT
The way I read both the the sssd.conf manpage (on the access_provider option) and code in data_provider_be.c, it should say "permit" instead of "allow".

The SSSD has two built-in access providers "permit" and "deny" in addition to the more heavy-weight like simple and HBAC.
Comment 3 Stef Walter 2012-04-10 06:49:19 EDT
Created attachment 576448 [details]
Fix erronous reference to the 'allow' access_provider

Updated patch to use 'permit' access_provider.
Comment 4 Stephen Gallagher 2012-04-10 07:40:18 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1295
Comment 5 Fedora Update System 2012-05-03 16:49:11 EDT
sssd-1.8.3-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sssd-1.8.3-11.fc17
Comment 6 Fedora Update System 2012-05-03 16:56:48 EDT
sssd-1.8.3-11.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sssd-1.8.3-11.fc16
Comment 7 Fedora Update System 2012-05-03 23:11:47 EDT
Package sssd-1.8.3-11.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.8.3-11.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7279/sssd-1.8.3-11.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-05-15 19:25:43 EDT
sssd-1.8.3-11.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-26 03:43:17 EDT
sssd-1.8.3-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.